'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.run = undefined;

var _execa = require('execa');

var _execa2 = _interopRequireDefault(_execa);

var _isValidPath = require('is-valid-path');

var _isValidPath2 = _interopRequireDefault(_isValidPath);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isJSON = function isJSON(file) {
  return (/\.json$/.test(file)
  );
};

/**
 * run
 * @param  {string} query Filter that jq will apply to the json
 * @param  {string} file  Path to the json
 * @return {Promise}
 */
var run = exports.run = function run(query, file) {
  return new Promise(function (resolve, reject) {
    if (typeof file !== 'string') {
      file = file.toString();
    }

    if (!(0, _isValidPath2.default)(file)) {
      reject(Error('Is a invalid path'));
    }

    if (!isJSON(file)) {
      reject(Error('Isn`t a JSON'));
    }

    (0, _execa2.default)('jq', [query, file]).then(function (result) {
      resolve(result);
    }).catch(function (err) {
      reject(err);
    });
  });
};